<div class="dialog-header">
  <h2 mat-dialog-title>{{ title }}</h2>
  <button
    type="button"
    mat-icon-button
    [mat-dialog-close]="true"
    class="close-button"
    tabindex="-1"
  >
    <mat-icon aria-hidden="false" aria-label="Close icon">close</mat-icon>
  </button>
</div>
<mat-dialog-content>
  <div class="license-detail-modal">
    <div class="upload-image-input">
      <div class="drag-drop" gpDnd (fileDropped)="handleFileInput($event)">
        <img src="../../../../assets/images/upload-doc-vector.png" alt="" />
        <div class="drag-drop-container">
          <div class="destext">Drag & Drop your file here!</div>
          <div class="destext">or</div>
          <button
            class="drop-button"
            color="primary"
            (click)="fileDropRef.click()"
            mat-raised-button
          >
            <input
              #fileDropRef
              type="file"
              class="upload-txtbox"
              id="fileDropRef"
              (change)="handleFileInput($event)"
              [accept]="accept"
            />
            Browse for file
          </button>
        </div>
      </div>
      <div *ngIf="file" class="files-list">
        <div class="single-file">
          <img
            class="file-image"
            src="../../../../assets/images/ic-file.svg"
            alt="file"
          />
          <div class="info">
            <h4 class="name">
              {{ file.name }}
            </h4>
            <p class="size" *ngIf="file.size / 1024 / 1024 < 1">
              {{ fileSize }}KB
            </p>
            <div>
              <mat-progress-bar
                *ngIf="progressBarValue > 0"
                mode="determinate"
                [value]="progressBarValue"
              ></mat-progress-bar>
            </div>
            <div class="progress-bar-value-number-container">
              <span> {{ progressBarValue | number: "1.0-0" }}% </span>
            </div>
          </div>
          <img
            src="../../../../assets/images/ic-delete-file.svg"
            class="delete"
            width="13px"
            alt="file"
            (click)="deleteFile()"
          />
        </div>
      </div>
    </div>
    <div *ngIf="file && file.size / 1024 / 1024 > 1">
      <span>License file should be max size of 1MB.</span>
    </div>
    <small>{{ supportedFileText }}</small>

    <div class="upload-error">
      <small *ngIf="modelUploadError">
        <strong *ngIf="errorMessage">{{ errorMessage }}</strong>
        <dl
          *ngIf="
            !(
              modelUploadErrorMsg.length === 1 &&
              modelUploadErrorMsg[0] === errorMessage
            )
          "
        >
          <li *ngFor="let error of modelUploadErrorMsg">{{ error }}</li>
        </dl>
      </small>
    </div>
  </div>
</mat-dialog-content>
